/*
*  qm_songinfo.cpp
*  QUIMUP struct for song data
*  © 2008-2024 Johan Spee
*  SPDX-License-Identifier: GPL-3.0-or-later
*/


#include "qm_songinfo.h"


qm_songInfo::qm_songInfo()
{
    reset();
}


void qm_songInfo::reset()
{
    song_pos = -1;
    song_id = -1;
    time = -1;
    type = -1;
    disc = "";
    uri = "";
    name = "";
    artist = "";
    title = "";
    album = "";
    date = "";
    track = "";
    disc = "";
    genre = "";
    comment = "";
}


qm_songInfo::~qm_songInfo()
{
}
